Subject: Re: bug#25820: 25.1; report-emacs-bug can't send mail due to missing 'w3'

From: [email-masked]
Date: Mon, 20 Feb 2017 18:58:46 -0800

On Mon, Feb 20, 2017 at 09:36:13PM -0500, Glenn Morris wrote:
> [email-masked] wrote:
> 
> > I tried to report a bug using "report-emacs-bug". Emacs asked for a
> > method for delivering mail and I typed "mail" which it completed to
> > "mail client".
> [...]
> > I have a working "mail" command which I had understood to be somewhat
> > standard on Unix, so I had wanted to send the report via this method.
> 
> I can sort of perhaps see why you would choose "mail client" wanting to
> get such a result, but you want "sendmail" instead.
> 
> > But when I tried to send the bug, it complained that "w3" was missing:
> >
> > browse-url-w3: Cannot open load file: No such file or directory, w3
> 
> The only way I can see that this can happen is if you have customized
> browse-url-browser-function to browse-url-w3, and don't have the w3
> library installed. So please tell us what 
> 
> C-h v browse-url-browser-function RET
> 
> says for you. If it does say browse-url-w3, then that's a bug in your
> configuration.

Thank you. Yes browse-url-browser-function was set to browse-url-w3 in
my ~/.emacs.

Thank you for telling me which send-mail-function I want.

It would be nice to have things like this work "out of the box", but
maybe most GNU/Linux are not set up to have a working 'mail' function
anyway. Anyway, thanks for looking at the bug report.